classification
Title: add a str.casefold() method
Type: enhancement Stage: resolved
Components: Unicode Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, ezio.melotti, giampaolo.rodola, pitrou, python-dev
Priority: low Keywords: patch

Created on 2012-01-10 01:40 by benjamin.peterson, last changed 2012-01-19 15:10 by giampaolo.rodola. This issue is now closed.

Files
File name Uploaded Description Edit
casefolding.patch benjamin.peterson, 2012-01-13 02:09 review
casefolding.patch benjamin.peterson, 2012-01-13 04:34 review
casefolding.patch benjamin.peterson, 2012-01-14 00:46 review
Messages (4)
msg150996 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2012-01-10 01:40
See http://mail.python.org/pipermail/python-ideas/2012-January/013292.html
msg151160 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2012-01-13 02:09
Patch for review.
msg151209 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2012-01-14 00:46
Fixed patch.
msg151265 - (view) Author: Roundup Robot (python-dev) Date: 2012-01-14 18:23
New changeset d4669f43d05f by Benjamin Peterson in branch 'default':
add str.casefold() (closes #13752)
http://hg.python.org/cpython/rev/d4669f43d05f
History
Date User Action Args
2012-01-19 15:10:16giampaolo.rodolasetnosy: + giampaolo.rodola
2012-01-14 18:23:40python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg151265

resolution: fixed
stage: patch review -> resolved
2012-01-14 01:45:21pitrousetnosy: + pitrou

stage: needs patch -> patch review
2012-01-14 00:46:49benjamin.petersonsetfiles: + casefolding.patch

messages: + msg151209
2012-01-13 04:34:27benjamin.petersonsetfiles: + casefolding.patch
2012-01-13 02:09:54benjamin.petersonsetfiles: + casefolding.patch
keywords: + patch
messages: + msg151160

title: add a unicode.casefold() method -> add a str.casefold() method
2012-01-11 08:13:48georg.brandlsettitle: add a casefold() method -> add a unicode.casefold() method
stage: needs patch
2012-01-10 01:40:23benjamin.petersoncreate